<script>
// import WebSocketManager from '@/utils/WebSocketManager.js';
import { watch } from 'vue';
import store from '@/store'
import { onLaunch, onShow, onHide } from "@dcloudio/uni-app";
export default {
	data: {
		userId: uni.getStorageSync('userId') //读取本地存储
	},
	onLaunch: function () {
		console.log('App Launch')
		console.log("App Launch");
		uni.loadFontFace({
			family: "uicon-iconfont",
			source: 'url("https://at.alicdn.com/t/font_2225171_8kdcwk4po24.ttf")',
			global: true,
			success: (success) => {
				console.log("Font loaded successfully", success);
			},
			fail: (fail) => {
				console.log("Font loading failed", fail);
			},
		});
	},
	onShow: function () {
		//设置默认角色
		//  uni.setStorageSync('userType', 1);
		console.log('App Show')
	},
	onHide: function () {
		console.log('App Hide')
	},
	onMounted() {

		console.log("TCL: onMounted -> onMounted", onMounted)

	},
}

</script>

<style lang="scss">
/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
@import "uview-plus/index.scss";
@import '@/static/scss/index.scss';
</style>